name:                lastfm-artist-graph
version:             0.1.0.0
github:              "svkampen/lastfm-artist-graph"
license:             BSD3
author:              "Sam van Kampen"
maintainer:          "sam@tehsvk.net"
copyright:           "2019 Sam van Kampen"

extra-source-files:
- README.md
- ChangeLog.md

# Metadata used when publishing your package
# synopsis:            Short description of your package
# category:            Web

# To avoid duplicated efforts in documentation and dealing with the
# complications of embedding Haddock markup inside cabal files, it is
# common to point users to the README.md file.
description:         Please see the README on GitHub at <https://github.com/svkampen/lastfm-artist-graph#readme>

dependencies:
- base >= 4.7 && < 5
- time >= 1.9
- parallel-io
- cassava
- random
- bytestring
- aeson
- vector
- unordered-containers
- hashable
- colour
- heap
- text
- wreq
- lens
- lens-aeson
- Chart
- Chart-cairo

default-extensions: OverloadedStrings

library:
  source-dirs: src

executables:
  lastfm-artist-graph-exe:
    main:                Main.hs
    source-dirs:         app
    ghc-options:
    - -threaded
    - -rtsopts
    - -with-rtsopts=-N6
    - -O2
    dependencies:
    - lastfm-artist-graph

tests:
  lastfm-artist-graph-test:
    main:                Spec.hs
    source-dirs:         test
    ghc-options:
    - -threaded
    - -rtsopts
    - -with-rtsopts=-N
    dependencies:
    - lastfm-artist-graph
